#tests=(
#  "no-unexpected-packet-drops no-policies no-policies-extra allow-all-except-world client-ingress client-ingress-knp allow-all-with-metrics-check"
#  "all-ingress-deny all-ingress-deny-knp all-egress-deny all-egress-deny-knp all-entities-deny cluster-entity host-entity-egress"
#  "host-entity-ingress echo-ingress echo-ingress-knp client-ingress-icmp client-egress client-egress-knp client-egress-expression"
#  "client-egress-expression-knp client-with-service-account-egress-to-echo client-egress-to-echo-service-account to-entities-world to-cidr-external to-cidr-external-knp echo-ingress-from-other-client-deny"
#  "client-ingress-from-other-client-icmp-deny client-egress-to-echo-deny client-ingress-to-echo-named-port-deny client-egress-to-echo-expression-deny client-with-service-account-egress-to-echo-deny client-egress-to-echo-service-account-deny client-egress-to-cidr-deny"
#  "client-egress-to-cidr-deny-default health pod-to-pod-encryption node-to-node-encryption echo-ingress-l7 echo-ingress-l7-named-port client-egress-l7-method"
#  "client-egress-l7 client-egress-l7-named-port dns-only to-fqdns"
#)
tests=(
  "no-unexpected-packet-drops no-policies no-policies-extra allow-all-except-world client-ingress client-ingress-knp allow-all-with-metrics-check all-ingress-deny all-ingress-deny-knp all-egress-deny all-egress-deny-knp all-entities-deny cluster-entity host-entity-egress host-entity-ingress echo-ingress echo-ingress-knp client-ingress-icmp client-egress client-egress-knp client-egress-expression client-egress-expression-knp client-with-service-account-egress-to-echo client-egress-to-echo-service-account to-entities-world to-cidr-external to-cidr-external-knp echo-ingress-from-other-client-deny client-ingress-from-other-client-icmp-deny client-egress-to-echo-deny client-ingress-to-echo-named-port-deny client-egress-to-echo-expression-deny client-with-service-account-egress-to-echo-deny client-egress-to-echo-service-account-deny client-egress-to-cidr-deny client-egress-to-cidr-deny-default health pod-to-pod-encryption node-to-node-encryption echo-ingress-l7 echo-ingress-l7-named-port client-egress-l7-method client-egress-l7 client-egress-l7-named-port dns-only to-fqdns"
)

i=1
for batch in "${tests[@]}"; do
  j=1
  for name in $batch; do
    echo "running test: $i - $name"
    ./cilium connectivity test --test-namespace test-$j \
                               --test "^$name/" \
                               --flow-validation=disabled \
                               --hubble=false \
                               --external-target amazon.com \
                               --external-ip 1.0.0.1 \
                               --external-other-ip 1.1.1.1 >$i.log &
    pids[${j}]=$!
    ((i++))
    ((j++))
  done
  for pid in ${pids[*]}; do
    wait $pid
    echo "waiting ..."
  done
done
